
ONE Mercury - Task #3322

Feature # 3318 (Rejected): Mercury UI improvements from ESIP feedback need to be addressed

Fix confusing 'Data Files(0)' download buttons

2012-10-10 15:15 - Chris Jones

Status: Rejected Start date: 2012-10-10

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category:  Estimated time: 16.00 hours

Target version:    

Story Points:    

Description

If an ‘Online Distribution’ link was available in the science metadata, users were “frustrated” with having to leave ONEMercury site to

retrievedata

Some links that were available were not “active” links (e.g., broken hyperlinks and broken DOI’s).

We've discussed a re-work of the download buttons.  We decided to consolidate the buttons:

1) Remove the 'View full metadata' button in favor of a linked title.  Ensure the link is a a GET and users can right click to open in a

new tab. default behavior is to open the link in the same window though.

2) Change the 'Data Files(#)' button to a 'Download' button.  The button will open the available list of files to download in an

expandable div.

We discussed the need to provide a zip-based download of all files.  This will be addressed in another task.

3) Ensure the formatting of sizes is readable (987B, 2KB, 2.44MB, 5.88GB, etc.) (not 1284736459 bytes)

History

#1 - 2012-10-10 15:16 - Chris Jones

- Description updated

#2 - 2012-10-10 15:23 - Chris Jones

- Description updated

#3 - 2012-10-22 19:32 - Chris Jones

- Description updated

#4 - 2012-10-22 19:38 - Chris Jones

- Description updated

#5 - 2012-10-23 19:48 - Chris Jones

- Description updated

#6 - 2012-12-12 17:13 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#7 - 2013-01-14 21:35 - Dave Vieglais

- Estimated time set to 16.00

- translation missing: en.field_remaining_hours set to 16.0

Reevaluate if going down the rabbit hole.
#8 - 2013-03-01 18:37 - Skye Roseboom

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#9 - 2013-04-02 16:12 - Skye Roseboom

- Target version deleted (2013.10-Block.2.1)

#10 - 2018-01-09 02:36 - Dave Vieglais

- Status changed from New to Rejected
